Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

Webprogrammeren & scripting

grote serverupdate... nieuwe versie php en mysql

InZane
4 antwoorden
  • Beste forumleden,

    Ik ben werkzaam voor een fotografisch productiebedrijf.

    momenteel hebben wij een dedicated leased server in amsterdam staan.

    het hostingbedrijf/serverpark wordt binnenkort volledig vernieuwd met nieuwe serverunits.

    op dit moment draait er php 4.3.6 en mysql 3.23.58..

    zover ik weet komt op het nieuwe systeem php5 en mysql 5 te staan.


    weet iemand of er hierdoor problemen kunnen ontstaan?

    (ik meen dat in php5 variabelen anders aangeroepen worden dan in php4? klopt dit?)


    ik ben zelf slechts de gewone webmaster en marketingman.

    onze webapplicatie(bestelsysteem) is toen ter tijd door een extern iemand gemaakt.

    ik heb dus zelf geen tot minimale scripting en server ervaring.


    alvast dank voor jullie reacties!
  • Afhankelijk van de kwaliteit van de PHP-scripts kan het wel problemen veroorzaken. Een goed stuk over de verschillen tussen PHP4 en PHP5 vind je hier: Differences between PHP4 and PHP5. In theorie zouden technisch goede scripts gewoon moeten blijven werken, al krijg je heel misschien een waarschuwing dat je met "depricated" functies werkt, dit is echter makkelijk uit te schakelen. Verder zullen de meeste problemen die zich voordoen waarschijnlijk makkelijk opgelost kunnen worden. Alleen als de programmeur er écht een zooitje van heeft gemaakt zal je voor een probleem komen te staan.

    Mijn advies: installeer tijdelijk een locale Apacheserver met PHP5 en MySQL5 op je PC en test het geheel. Plaats de resultaten hier. Dan kan je pro-actief de code aanpassen en werkend houden.

    Lees ook even Migrating from PHP 4 to PHP 5

    [size=9:195a5b204a]Bij mijn host gaan ze ook morgenochtend de software updaten… Ik word er heel blij van, eindelijk PHP5![/size:195a5b204a]

    - Bas
  • Let ook goed op eventuele verschillen in configuratie. Het kan zijn dat de hoster besluit om bij een 'verse' install ook eens lekker de bezem door de configuratie te halen. Of bijvoorbeeld PHP ipv module nu eens als CGI te gaan draaien met mogelijke consequenties. [size=9:79158d2747]*[/size:79158d2747]

    [size=9:79158d2747]*) Vergeef me als ik hier de verkeerde termen gebruik. Ik ben niet zo bekend met de mogelijkheden van PHP op dat gebied, maar ik kan me herinneren van mijn vorige hoster dat je PHP op verschillende manieren kan 'koppelen' aan je webserver. Zij zijn ooit geswitched - weliswaar binnen PHP4 - en daarmee is mijn site een tijdje down geweest (ik wist namelijk niets van deze omzetting)[/size:79158d2747]
  • dank voor jullie reacties…

    Volgens het hostingbedrijf (Denit) is er minimaal kans dat er iets misgaat..Dit zegt de ontwerper van de webapplicatie ook.

    maar ik weet dat ik ooit eens een site heb gemaakt met daarin bepaalde php code. deze code kwam uit een boek van kassenaar en was bedoeld voor php4.

    later werd tijdens een serverupdate naar versie 5 gegaan. Toen werkte het niet meer.

    het had te maken met de manier/syntaxis hoe een variabele opgeroepen wordt.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.